Package it.ernytech.tdlib

## Class TdApi.BotInfo

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.BotInfo

Enclosing class:
  TdApi

    public static class TdApi.BotInfo
    extends TdApi.Object

Provides information about a bot and its supported commands.

### Field Summary

Fields
`TdApi.BotCommand[]` `commands` A list of commands supported by the bot.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `description` Long description shown on the user info page.

### Constructor Summary

Constructors
`BotInfo()` Default constructor.
`BotInfo​(java.lang.String description, TdApi.BotCommand[] commands)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### description

    public java.lang.String description

Long description shown on the user info page.

#### commands

    public TdApi.BotCommand[] commands

A list of commands supported by the bot.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### BotInfo

    public BotInfo()

Default constructor.

#### BotInfo

    public BotInfo​(java.lang.String description,
                   TdApi.BotCommand[] commands)

Constructor for initialization of all fields.

Parameters:
  `description` - Long description shown on the user info page.
  `commands` - A list of commands supported by the bot.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR